文档API 参考

Rust · 0.1.0

Get User Webhook Signing Secret

GET /api/v1/users/{user}/webhooks/{webhook}:getSigningSecret

UserService · UserService_GetUserWebhookSigningSecret

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

仅限所有者:路径中的用户必须是已认证调用者;实例管理员身份不允许在此代替其他账号操作。

敏感读取

通过明确的所有者专用请求返回已存储签名秘密。应将它用于接收端安全配置,不要输出到日志或文档示例中。普通 Webhook 元数据响应不能替代此调用。

请求

GetUserWebhookSigningSecret returns the signing secret for a webhook. The secret is returned only through this explicit, owner-gated call; it is never included in List/Create/Update responses.

GET/api/v1/users/{user}/webhooks/{webhook}:getSigningSecret

参数

名称 / 位置类型 / 是否必需描述
user
path
string
必需
The user id.
webhook
path
string
必需
The webhook id.

请求体

未声明请求体。

响应

200 · OK

application/json · GetUserWebhookSigningSecretResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "UserService"
  ],
  "description": "GetUserWebhookSigningSecret returns the signing secret for a webhook.\n The secret is returned only through this explicit, owner-gated call; it is\n never included in List/Create/Update responses.",
  "operationId": "UserService_GetUserWebhookSigningSecret",
  "parameters": [
    {
      "name": "user",
      "in": "path",
      "description": "The user id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "webhook",
      "in": "path",
      "description": "The webhook id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/GetUserWebhookSigningSecretResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}